{
  "name": "sauteed-onions",
  "version": "1.0.0",
  "description": "Discovers transparency-logged self-authenticated domain names",
  "author": "The sauteed onions crew",
  "license": "BSD 2-Clause Licence",
  "engines": {
    "node": ">=10"
  },
  "scripts": {
    "lint": "eslint --ext .js,.vue src",
    "prettier": "prettier \"src/**/*.{js,vue}\"",
    "prettier:write": "npm run prettier -- --write",
    "build": "cross-env NODE_ENV=production webpack --hide-modules",
    "build:dev": "cross-env NODE_ENV=development webpack --hide-modules",
    "build-zip": "node scripts/build-zip.js",
    "watch": "npm run build -- --watch",
    "watch:dev": "cross-env HMR=true npm run build:dev -- --watch",
    "debug": "web-ext run --browser-console -s dist --start-url 'https://www.sigsum.org'"
  },
  "husky": {
    "hooks": {
      "pre-commit": "pretty-quick --staged"
    }
  },
  "dependencies": {
    "asn1js": "^2.1.1",
    "axios": "^0.24.0",
    "base32.js": "^0.1.0",
    "pkijs": "^2.2.1",
    "sha3": "^2.1.4",
    "vue": "^2.6.10",
    "vue-router": "^3.0.1",
    "vuex": "^3.0.1",
    "webextension-polyfill": "^0.3.1"
  },
  "devDependencies": {
    "@babel/core": "^7.1.2",
    "@babel/plugin-proposal-optional-chaining": "^7.0.0",
    "@babel/preset-env": "^7.1.0",
    "@babel/runtime-corejs3": "^7.4.0",
    "archiver": "^3.0.0",
    "babel-eslint": "^10.0.3",
    "babel-loader": "^8.0.2",
    "copy-webpack-plugin": "^5.1.1",
    "core-js": "^3.0.1",
    "cross-env": "^5.2.0",
    "css-loader": "^3.4.0",
    "ejs": "^2.6.1",
    "eslint": "^6.6.0",
    "eslint-config-prettier": "^6.7.0",
    "eslint-config-standard": "^14.1.0",
    "eslint-friendly-formatter": "^4.0.1",
    "eslint-loader": "^3.0.2",
    "eslint-plugin-import": "^2.18.2",
    "eslint-plugin-node": "^10.0.0",
    "eslint-plugin-prettier": "^3.1.1",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-standard": "^4.0.1",
    "eslint-plugin-vue": "^6.0.1",
    "file-loader": "^5.0.2",
    "husky": "^2.4.0",
    "mini-css-extract-plugin": "^0.9.0",
    "node-sass": "^4.9.3",
    "prettier": "^1.17.1",
    "pretty-quick": "^1.8.0",
    "sass-loader": "^7.1.0",
    "vue-loader": "^15.4.2",
    "vue-template-compiler": "^2.6.10",
    "web-ext-types": "^2.1.0",
    "webpack": "^4.20.2",
    "webpack-cli": "^3.3.10",
    "webpack-extension-reloader": "^1.1.0"
  }
}
